problems installing pytelemeter

Questions about applications and software
Forum rules
Before you post please read this

problems installing pytelemeter

Postby snake on Sun Jul 19, 2009 8:52 am

Hello,

I use pytelemeter to check my bandwidth usage,
but since I upgraded to mint 7 I have some problems.
When I try to install pytelemeter again it says the newest version is installed.
When I want to start pytelemeter he says he can't find any pytelemeter.
Anyone an idea what can be wrong?

thx in advance
Linux Mint, the best Linux
User avatar
snake
Level 1
Level 1
 
Posts: 34
Joined: Wed Dec 17, 2008 6:19 pm

Linux Mint is funded by ads and donations.
 

Re: problems installing pytelemeter

Postby lagagnon on Sun Jul 19, 2009 11:25 am

I assume you tried to run pytelemeter from a terminal? If so what message did you get?
Also, try this:

sudo updatedb
locate pytelemeter

(that will show you all its files and where the executable is stored (usually /usr/bin, or /usr/local/bin)

Then try running it directlry such as : /usr/local/bin/pytelemeter
Once you know where the executable is you can create a menu listing for it.

You could also try "whereis pytelemeter"
User avatar
lagagnon
Level 7
Level 7
 
Posts: 1888
Joined: Wed Jun 17, 2009 7:38 pm
Location: an island in the Pacific...

Re: problems installing pytelemeter

Postby snake on Wed Jul 22, 2009 11:34 am

this is the message I get when I try to open pytelemeter:

snake@snake-desktop ~ $ pytelemeter-gtk
Traceback (most recent call last):
File "/usr/bin/pytelemeter", line 50, in <module>
from pytelemeter.Telemeter import Telemeter
ImportError: No module named pytelemeter.Telemeter

when I update and try to locate this is what I get:

snake@snake-desktop ~ $ locate pytelemeter
/usr/bin/pytelemeter
/usr/bin/pytelemeter-gtk
/usr/bin/pytelemeter-tray
/usr/lib/python2.5/site-packages/pytelemeter
/usr/lib/python2.5/site-packages/pytelemeter-1.5.egg-info
/usr/lib/python2.5/site-packages/pytelemeter/Config.py
/usr/lib/python2.5/site-packages/pytelemeter/FlashXMLParser.py
/usr/lib/python2.5/site-packages/pytelemeter/GTK.py
/usr/lib/python2.5/site-packages/pytelemeter/Parser.py
/usr/lib/python2.5/site-packages/pytelemeter/Telemeter.py
/usr/lib/python2.5/site-packages/pytelemeter/Telemeter4ToolsParser.py
/usr/lib/python2.5/site-packages/pytelemeter/Tray.py
/usr/lib/python2.5/site-packages/pytelemeter/__init__.py
/usr/share/pytelemeter
/usr/share/doc/pytelemeter
/usr/share/doc/pytelemeter/changelog.Debian.gz
/usr/share/doc/pytelemeter/copyright
/usr/share/man/man1/pytelemeter-gtk.1.gz
/usr/share/man/man1/pytelemeter-tray.1.gz
/usr/share/man/man1/pytelemeter.1.gz
/usr/share/pytelemeter/pytelemeter.glade
/var/lib/dpkg/info/pytelemeter.list
/var/lib/dpkg/info/pytelemeter.md5sums

run it directly:
snake@snake-desktop ~ $ /usr/bin/pytelemeter-gtk
Traceback (most recent call last):
File "/usr/bin/pytelemeter", line 50, in <module>
from pytelemeter.Telemeter import Telemeter
ImportError: No module named pytelemeter.Telemeter


I do know that the telemeter isn't programmed with my telenet login but normally after I install telemter and run the gtk version
I can program it and it works normal, but not now :)
Any idea what is wrong or do you need more information?
Linux Mint, the best Linux
User avatar
snake
Level 1
Level 1
 
Posts: 34
Joined: Wed Dec 17, 2008 6:19 pm

Re: problems installing pytelemeter

Postby lagagnon on Wed Jul 22, 2009 1:12 pm

Those error messges are Python error messages so I suspect it was not packaged properly in the first place. I suggest you will more likely find an answer to your question at the pytelemeter mailing list rather than at this forum. Try: http://pytelemeter.sourceforge.net/index.php?support
User avatar
lagagnon
Level 7
Level 7
 
Posts: 1888
Joined: Wed Jun 17, 2009 7:38 pm
Location: an island in the Pacific...


Return to Software & Applications

Who is online

Users browsing this forum: panorain and 10 guests